{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "vatonage_survival_utilities:fan",
      "materials": {
        "default": "slime"
      },
      "textures": {
        "default": "textures/nihilo_ex/blocks/fan_iron",
        "gold": "textures/nihilo_ex/blocks/fan_gold",
        "diamond": "textures/nihilo_ex/blocks/fan_diamond",
        "netherite": "textures/nihilo_ex/blocks/fan_netherite"
      },
      "geometry": {
        "default": "geometry.entity.vatonage_survival_utilities_fan"
      },
      "animations": {
        "move": "animation.vatonage_survival_utilities.fan.on",
        "move_off": "animation.vatonage_survival_utilities.fan.off",
        "move_controller": "controller.animation.fan",
        "down": "animation.vatonage_survival_utilities.fan.down",
        "up": "animation.vatonage_survival_utilities.fan.up",
        "rot_controller": "controller.animation.vatonage_survival_utilities.fan_rot"
      },
      "scripts": {
        "animate": [
          "move_controller",
          "rot_controller"
        ]
      },
      "render_controllers": [
        "controller.render.vatonage_survival_utilities"
      ]
    }
  }
}